Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: Important DK Info regarding newer game titles

  1. #1

    Ca Important DK Info regarding newer game titles

    Just downloaded some newer Wii titles today (Mad World and Sonic &TBK), burned with imgburn and discovered that althought the title screen would come up, the game would crash (blank screen) once started. After some research I downloaded and installed ios 53 and 55 via wad manager in homebrew, and surprise surprise the games worked! I thought that with the DK there was no need to update ios but I guess thats not true...

    So if youre having problems get those updates -I got a package from CrashOverride on Demonoid.


    modderman EDIT: THESE PROBLEMS ONLY HAPPENS ON SOFTMODDED WII'S ...OR A SOFTMODDED WII THAT THEN GETS A MODCHIP.

    IF YOU ARE USING A NEWER MODCHIP WITH A NON-SOFTMODDED WII MEANING ORIGINAL FW....YOU JUST PLAY THE GAMES LIKE YOU WOULD PLAY AN ORIGINAL


    Last edited by ModderMan; 03-31-2009 at 09:07 AM.

  2. #2
    Madworld and Sonic and The Black Knight work perfectly in my wii using a Drivekey, I'm at firmware 3.4u.

  3. #3
    hmm thats weird, Im at 3.4u as well. I did have a soft mod before installing the chip, maybe that has something to do with it.

  4. #4
    Sonic and the blackknight work perfectly in my wii which has Drivekey and firmware 3.4u

  5. #5
    ok forgive my nubbiness but i just recieved my drivekey today and will install soon but all of you are running firmware 3.4u? the same as I am. but everyone else makes it sound like you MUST downgrade your firmware even after installing chip. The only advantage i'm looking for with the chip is the ability to play backup games. am i missing something?

  6. #6
    Member trekster's Avatar
    Join Date
    Nov 2008
    Location
    Australia
    Posts
    2,188
    When nintendo releases the new 3.5 firmware, they can auto update you on 3.4 firmware

  7. #7
    I believe there is an update blocker I can turn on in the drivekey settings. wouldn't that stop nintendo from updating past 3.4u? As long as all games play with 3.4u i should be alright?

    guess there's the chance i would have to update IOS later to play newer games?

  8. #8
    anyone have any trouble with Wii Music {PAL}? I can run other PAL backups but not this one. Just want to see if it is the dump or the actual game.

  9. #9
    I am also having trouble with that. But we may have gotten it from the same source. But I also have the same results with other games. So I think it's the DriveKey.

  10. #10
    I run Wii Music NTSC without issue. Perhaps the PAL version is ripped poorly?

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •